- [HTTP request](https://developers.google.com/health/reference/rest/v4beta/users/updateProfile#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/health/reference/rest/v4beta/users/updateProfile#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/health/reference/rest/v4beta/users/updateProfile#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/health/reference/rest/v4beta/users/updateProfile#body.request_body)
- [Response body](https://developers.google.com/health/reference/rest/v4beta/users/updateProfile#body.response_body)
- [Authorization scopes](https://developers.google.com/health/reference/rest/v4beta/users/updateProfile#body.aspect)
- [Examples](https://developers.google.com/health/reference/rest/v4beta/users/updateProfile#examples)
- [Try it!](https://developers.google.com/health/reference/rest/v4beta/users/updateProfile#try-it)

Updates the user's profile details.

### HTTP request

`PATCH https://health.googleapis.com/v4beta/{profile.name=users/*/profile}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the [service error catalog](https://developers.google.com/health/reference/rest/v4beta/errors)

### Path parameters

| Parameters ||
|---|---|
| `profile.name` | `string` Identifier. The resource name of this Profile resource. Format: `users/{user}/profile` Example: `users/1234567890/profile` or `users/me/profile` The {user} ID is a system-generated Google Health API user ID, a string of 1-63 characters consisting of lowercase and uppercase letters, numbers, and hyphens. The literal `me` can also be used to refer to the authenticated user. This field is read-only. It takes the form `users/{user}/profile`. |

### Query parameters

| Parameters ||
|---|---|
| `updateMask` | ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Optional. The list of fields to be updated. This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`. |

### Request body

The request body contains an instance of `https://developers.google.com/health/reference/rest/v4beta/Profile`.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/health/reference/rest/v4beta/Profile`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/googlehealth.profile.writeonly`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).